Bug 30491 - Convert saved reports tabs to Bootstrap
Summary: Convert saved reports tabs to Bootstrap
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 30532
Blocks: 29226 30632
  Show dependency treegraph
 
Reported: 2022-04-07 15:13 UTC by Owen Leonard
Modified: 2022-05-13 15:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 30491: Convert saved reports tabs to Bootstrap (33.41 KB, patch)
2022-04-26 13:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30491: Convert saved reports tabs to Bootstrap (33.46 KB, patch)
2022-04-26 14:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30491: Convert saved reports tabs to Bootstrap (33.53 KB, patch)
2022-04-26 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-04-07 15:13:42 UTC
Continuing the process of phasing out jQueryUI, this patch will replace jQueryUI tabs in the saved report template (guided_reports_start.tt).
Comment 1 Owen Leonard 2022-04-26 13:28:35 UTC
Created attachment 133895 [details] [review]
Bug 30491: Convert saved reports tabs to Bootstrap

This patch updates the saved reports page so that it uses Bootstrap tabs
instead of jQueryUI.

To test, apply the patch and go to Reports -> Use saved.

 - On the Saved Reports page you should see multiple tabs.
 - Each should look correct and work correctly.
 - Clicking each tab should result in the table of reports filtering
   correctly for that tab (Patrons tab showing only patrons reports).
 - If necessary, edit one or more reports so that they have a subgroup.
 - Confirm that each subgroup selector is correct for each tab, i.e. a
   subgroup created under "Catalog" should only be available under the
   Catalog tab.
Comment 2 Lucas Gass 2022-04-26 14:10:27 UTC
Created attachment 133905 [details] [review]
Bug 30491: Convert saved reports tabs to Bootstrap

This patch updates the saved reports page so that it uses Bootstrap tabs
instead of jQueryUI.

To test, apply the patch and go to Reports -> Use saved.

 - On the Saved Reports page you should see multiple tabs.
 - Each should look correct and work correctly.
 - Clicking each tab should result in the table of reports filtering
   correctly for that tab (Patrons tab showing only patrons reports).
 - If necessary, edit one or more reports so that they have a subgroup.
 - Confirm that each subgroup selector is correct for each tab, i.e. a
   subgroup created under "Catalog" should only be available under the
   Catalog tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 3 Martin Renvoize 2022-04-26 14:15:58 UTC
Created attachment 133907 [details] [review]
Bug 30491: Convert saved reports tabs to Bootstrap

This patch updates the saved reports page so that it uses Bootstrap tabs
instead of jQueryUI.

To test, apply the patch and go to Reports -> Use saved.

 - On the Saved Reports page you should see multiple tabs.
 - Each should look correct and work correctly.
 - Clicking each tab should result in the table of reports filtering
   correctly for that tab (Patrons tab showing only patrons reports).
 - If necessary, edit one or more reports so that they have a subgroup.
 - Confirm that each subgroup selector is correct for each tab, i.e. a
   subgroup created under "Catalog" should only be available under the
   Catalog tab.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2022-04-26 14:16:22 UTC
Nice work again, all works well in testing.

Passing QA
Comment 5 Fridolin Somers 2022-05-02 21:25:15 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄